Bug 164384 - incorrect description og log2 function
Summary: incorrect description og log2 function
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: man-pages (Show other bugs)
(Show other bugs)
Version: 4
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ivana Varekova
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-27 15:36 UTC by Sjoerd Mullender
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: man-pages-2.05-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-04 13:13:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Sjoerd Mullender 2005-07-27 15:36:06 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
The man page of log2 says:

"The log2() function returns the natural logarithm of x."

This is obviously wrong: the log2 function returns the 2-logarithm of x, not the e-logarithm.

Also, I wonder (but don't know) whether the CONFORMING TO section is correct.  log2 seems to only be available when compiling in C99 mode, so I wonder if it was already available in the other Unix versions mentioned.  (log2 is vertainly not available when compiling without -std=XXX option, even when math.h is included.)

Version-Release number of selected component (if applicable):
man-pages-1.67-7

How reproducible:
Always

Steps to Reproduce:
1. man log2
2.
3.
  

Actual Results:  "The log2() function returns the natural logarithm of x."

Expected Results:  "The log2() function returns the base-2 logarithm of x."

Additional info:

Comment 1 Sjoerd Mullender 2005-07-27 15:53:17 UTC
The bit about the CONFORMING TO section also holds for exp2.

Comment 2 Ivana Varekova 2005-08-04 13:13:02 UTC
This bug is fixed in the last version of man-pages (man-pages-2.05-1). 


Note You need to log in before you can comment on or make changes to this bug.